// Arcol Hot End v3.0
// hot end designed by Laszlo Krekacs
//
// Home Page: http://wiki.arcol.hu/arcol-hu-hot-end
// RepRap wiki: http://reprap.org/wiki/Arcol.hu_Hot-End_Version_3.0
//
// Licence: CC BY-NC-ND 3.0
//
// scad files made by Bogdan Kecman

heater_block();

module heater_block(){
  difference(){
    linear_extrude(file = "heater_block.dxf" ,height = 10, convexity = 2, $fn=32); //body - the hole for the nozzle is threaded
    translate([-0.5,7.8,5])rotate([0,90,0])cylinder(r=3, h=18, $fn=20); //hole for heater elemet (4R7 resistor)
  }
}
