// Arcol Hot End v3.0
// hot end designed by Laszlo Krekacs
//
// Home Page: http://wiki.arcol.hu/arcol-hu-hot-end
// RepRap wiki: http://reprap.org/wiki/Arcol.hu_Hot-End_Version_3.0
//
// Licence: CC BY-NC-ND 3.0
//
// scad files made by Bogdan Kecman


heat_shield();
head1 = dxf_cross(file = "flats.dxf", layer = "m3_head1");
head2 = dxf_cross(file = "flats.dxf", layer = "m3_head2");
head3 = dxf_cross(file = "flats.dxf", layer = "m3_head3");
module heat_shield() {
  difference() {
    linear_extrude(file = "flats.dxf", layer = "mdf_disc", height = 3, convexity = 2, $fn=32);
    translate([head1[0], head1[1], -0.1]) cylinder(h=3.2, r=1.6, $fn=16);
    translate([head2[0], head2[1], -0.1]) cylinder(h=3.2, r=1.6, $fn=16);
    translate([head3[0], head3[1], -0.1]) cylinder(h=3.2, r=1.6, $fn=16);
    translate([0, 0, -0.1]) cylinder(h=3.2, r=4.82, $fn=32);
  }
}
